org.apache.synapse.commons.throttle.module

## Class ThrottleEnguageUtils

- java.lang.Object
- - org.apache.synapse.commons.throttle.module.ThrottleEnguageUtils

-     public class ThrottleEnguageUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrottleEnguageUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `enguage(org.apache.axis2.description.AxisDescription axisDescription, org.apache.axis2.context.ConfigurationContext configctx, Throttle defaultThrottle)`
    `static boolean` | `isFilteredOutService(org.apache.axis2.description.AxisServiceGroup axisServiceGroup)` Checks whether the given service group is a special service
    `static org.apache.axis2.description.PolicySubject` | `readExternalGlobalPolicy(org.apache.axis2.engine.AxisConfiguration axisConfig)` An external policy can be configured using a parameter in the axis2.xml which points to the absolute path of the policy file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrottleEnguageUtils

          public ThrottleEnguageUtils()

  - ### Method Detail

    - #### enguage

          public static void enguage(org.apache.axis2.description.AxisDescription axisDescription,
                                     org.apache.axis2.context.ConfigurationContext configctx,
                                     Throttle defaultThrottle)
                              throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### isFilteredOutService

          public static boolean isFilteredOutService(org.apache.axis2.description.AxisServiceGroup axisServiceGroup)

      Checks whether the given service group is a special service
      Parameters:
        `axisServiceGroup` - - ServiceGroup instance
      Returns:
        - true if this is a filtered service

    - #### readExternalGlobalPolicy

          public static org.apache.axis2.description.PolicySubject readExternalGlobalPolicy(org.apache.axis2.engine.AxisConfiguration axisConfig)

      An external policy can be configured using a parameter in the axis2.xml which points to the absolute path of the policy file. This method reads the policy file and creates a PolicySubject.
      Parameters:
        `axisConfig` - - AxisConfiguration instance
      Returns:
        - PolicySubject instance if the file found. Otherwise null..

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.